<?php

/**
 * @file
 * Drush commands.
 */

/**
 * Implements hook_drush_command().
 */
function mask_user_data_drush_command() {
  $items = array();

  $items['mask_user_data'] = array(
    'description' => dt('Masks user data in the database.'),
    'aliases' => array('mud'),
    'examples' => array(
      'drush mud' => 'Masks user data in the database.',
    ),
  );

  return $items;
}

/**
 * Drush callback to mask user data.
 */
function drush_mask_user_data() {
  $enabled = variable_get('mask_user_data_enabled', FALSE);
  if ($enabled) {
    drush_log(dt('Data masking is enabled.'), 'success');

    $already_masked = variable_get('mask_user_data_already_masked', FALSE);
    if ($already_masked) {
      drush_log(dt('The user data has already been masked.'), 'success');
    }
    else {
      if (drush_confirm('Are you sure you want to mask user data?')) {
        $map_array = variable_get('mask_user_data_map_array', NULL);
        if (empty($map_array) || !is_array($map_array)) {
          drush_log(dt('Invalid or empty map array. Please check the configuration.'), 'error');
        }
        else {
          mask_user_data_setup_batch();
        }
      }
      else {
        drush_user_abort();
      }
    }
  }
  else {
    drush_log(dt('Data masking is disabled.'), 'success');
  }
}
